#!/bin/sh
CONFIGFILE=/etc/as400spool.conf
#LPR=/usr/local/es/lpr
#LPR=/usr/bin/lpr

USERNAME=`cat "$1" | grep -i "REM VON" | awk '{print $3 }'`
if [ $USERNAME = "" ]; 
 then
  echo "Username was not found!"
  exit
 fi
USERENTRY=`cat $CONFIGFILE | sed '/^#/d'| grep "$USERNAME"`
echo $USERENTRY
if [ "$USERENTRY" = "" ]; 
 then
  echo "Entry for $1 could not be found"
  exit
 fi

PRINTER=`echo $USERENTRY| awk '{print $2'}` 
OUTPDF="$1.pdf"
OUTPS="$1.ps"
OUTPCL="$1.pcl"

cd /usr/local/share/spool2pdf
./spool2pdf $1 $OUTPDF
echo ./spool2pdf $1 $OUTPDF

/opt/Acrobat4/bin/acroread -toPostScript -size a4 -shrink $OUTPDF $OUTFILE
#/usr/local/bin/pdf2ps $OUTPDF $OUTFILE

#/usr/local/es/lpr -P$PRINTER $OUTPS

/usr/local/bin/gs -dNOPAUSE -sDEVICE=ljet4 -sPAPERSIZE=a4 -sOutputFile=$OUTPDF $OUTPS
/usr/local/es/lpr -P$PRINTER $OUTPCL

rm $OUTPDF
rm $OUTPS
