#ifndef CHAIN_H
#define CHAIN_H

typedef struct element {
			struct element *prev,*cur,*next, *head;
			} element;

struct element* newchain();
struct element* addelement(void *newp, int size, struct element* chain);

struct element* head(struct element *chain);
struct element* e_next(struct element *chain);
struct element* e_prev(struct element *chain);
struct element* tail(struct element *chain);

struct element* unchain(struct element *chain);
void clearlst(struct element *chain);

#endif
